[Resolvido] - Falhas gráficas na execução de alguns packages (Cinnamon)

Boa tarde pessoal, recentemente postei uma pergunta sobre a qualidade gráfica do VirtualBox no meu Mint / Cinnamon, que ainda não foi resolvida, mas acredito que em breve serei capaz de resolver o problema.
link da publicação: http://forums.linuxmint.com/viewtopic.php?t=310671

No entanto, tenho um problema semelhante, mas de uma maneira mais grosseira. Estou usando o Mint 19.3 Tricia com Cinnamon 4.4.8. Onde aplicativos como Texstudio, PacketTracer, TexMaker e ainda até o aplicativo VirtualBox, entre outros. Estarei colocando imagens para tentar esclarecer meu problema.

- Um detalhe importante é que o aplicativo TexStudio funcionava normalmente até os dias de hoje. Eu sempre mantenho meu sistema atualizado diariamente. E, apesar dos aplicativos funcionarem normalmente, esses erros gráficos prejudicam a produtividade e o conforto visual -

No começo, pensei que poderia haver um problema com meu monitor, mas já o descartei. No momento, acho que pode ser um problema com o Cinnamon ou alguma falha no sistema que eu possa ter causado.

Detalhes do meu sistema:

[code]
System: Host: Juraski-Dragon Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc v: 7.5.0
Desktop: Cinnamon 4.4.8 wm: muffin dm: LightDM Distro: Linux Mint 19.3 Tricia
base: Ubuntu 18.04 bionic
Machine: Type: Desktop Mobo: PCWARE model: IPMH110G serial: UEFI: American Megatrends
v: F24c DB date: 03/19/2018
CPU: Topology: Quad Core model: Intel Core i5-7400 bits: 64 type: MCP arch: Kaby Lake rev: 9
L2 cache: 6144 KiB
flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 24000
Speed: 3396 MHz min/max: 800/3500 MHz Core speeds (MHz): 1: 3397 2: 3373 3: 3397
4: 3369
Graphics: Device-1: Intel HD Graphics 630 vendor: Gigabyte driver: i915 v: kernel bus ID: 00:02.0
chip ID: 8086:5912
Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa
resolution: 1920x1080~60Hz
OpenGL: renderer: Mesa DRI Intel HD Graphics 630 (Kaby Lake GT2) v: 4.5 Mesa 19.2.8
compat-v: 3.0 direct render: Yes
Audio: Device-1: Intel 100 Series/C230 Series Family HD Audio vendor: Realtek Sunrise Point-H
driver: snd_hda_intel v: kernel bus ID: 00:1f.3 chip ID: 8086:a170
Sound Server: ALSA v: k5.3.0-46-generic
Network: Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Gigabyte
driver: r8169 v: kernel port: e000 bus ID: 01:00.0 chip ID: 10ec:8168
IF: enp1s0 state: up speed: 100 Mbps duplex: full mac:
Drives: Local Storage: total: 1.36 TiB used: 43.33 GiB (3.1%)
ID-1: /dev/sda vendor: Western Digital model: WD10EZRX-00D8PB0 size: 931.51 GiB
speed: 6.0 Gb/s serial:
ID-2: /dev/sdb vendor: HGST (Hitachi) model: HTS545050A7E680 size: 465.76 GiB
speed: 6.0 Gb/s serial:
Partition: ID-1: / size: 915.40 GiB used: 37.31 GiB (4.1%) fs: ext4 dev: /dev/sda2
USB: Hub: 1-0:1 info: Full speed (or root) Hub ports: 10 rev: 2.0 chip ID: 1d6b:0002
Device-1: 1-5:2 info: Xenta Wireless Receiver (Keyboard and Mouse) type: Mouse
driver: hid-generic,usbhid rev: 1.1 chip ID: 1d57:0005
Device-2: 1-6:3 info: Elan Micro type: Keyboard driver: hid-generic,usbhid rev: 1.1
chip ID: 04f3:152e
Hub: 2-0:1 info: Full speed (or root) Hub ports: 4 rev: 3.0 chip ID: 1d6b:0003
Sensors: System Temperatures: cpu: 45.0 C mobo: N/A
Fan Speeds (RPM): N/A
Repos: No active apt repos in: /etc/apt/sources.list
Active apt repos in: /etc/apt/sources.list.d/deadsnakes-ppa-bionic.list
1: deb http: //ppa.launchpad.net/deadsnakes/ppa/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/linuxuprising-java-bionic.list
1: deb http: //ppa.launchpad.net/linuxuprising/java/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/nodesource.list
1: deb https: //deb.nodesource.com/node_12.x bionic main
2: deb-src https: //deb.nodesource.com/node_12.x bionic main
Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
1: deb http: //mint-packages.c3sl.ufpr.br tricia main upstream import backport
2: deb http: //ubuntu.c3sl.ufpr.br/ubuntu bionic main restricted universe multiverse
3: deb http: //ubuntu.c3sl.ufpr.br/ubuntu bionic-updates main restricted universe multiverse
4: deb http: //ubuntu.c3sl.ufpr.br/ubuntu bionic-backports main restricted universe multiverse
5: deb http: //security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
6: deb http: //archive.canonical.com/ubuntu/ bionic partner
Active apt repos in: /etc/apt/sources.list.d/sunderme-texstudio-bionic.list
1: deb http: //ppa.launchpad.net/sunderme/texstudio/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/vscode.list
1: deb [arch=amd64] http: //packages.microsoft.com/repos/vscode stable main
Active apt repos in: /etc/apt/sources.list.d/yarn.list
1: deb https: //dl.yarnpkg.com/debian/ stable main
Info: Processes: 188 Uptime: 19m Memory: 7.66 GiB used: 2.24 GiB (29.2%) Init: systemd v: 237
runlevel: 5 Compilers: gcc: 7.5.0 alt: 7 Client: Unknown python3.6 client inxi: 3.0.32
[/code]


Caso necessitem de mais alguma informação a respeito do meu sistema ou qualquer outra informação, é só avisar que providenciarei o mais rápido possível. Grato desde já.

Att:
Juraski
Grato desde já;
Att:
Juraski
Post edited by Juraski on
«1

Comentários

  • editado 8 de April
    parece que são todos programas feitos usando o QT framework
    você parece estar usando o tema que não funciona, aquele bb10dark

    abre o qt5 settings e muda o style para fusion
    Post edited by welblade on


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • se não der certo, execute o comando abaixo, pra eu comparar com os pacotes do framework que tenho instalados na minha máquina
    
    apt search qt | grep "^i"


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • welblade disse:

    parece que são todos programas feitos usando o QT framework
    você parece estar usando o tema que não funciona, aquele bb10dark

    abre o qt5 settings e muda o style para fusion

    Bom dia coloquei no estilo fusion, como disse mas não funcionou. e meu estilo nao estava em "bb10dark" e sim em gtk2.

    E em relação á esse segundo:
    welblade disse:

    se não der certo, execute o comando abaixo, pra eu comparar com os pacotes do framework que tenho instalados na minha máquina

    
    apt search qt | grep "^i"
    O que obtive com o código que você recomendou:
    
    i A libpoppler-qt5-1                - PDF rendering library (Qt 5 based shared l
    i A libqt4-dbus                     - Qt 4 D-Bus module                         
    i A libqt4-declarative              - Qt 4 Declarative module                   
    i A libqt4-network                  - Qt 4 network module                       
    i A libqt4-script                   - Qt 4 script module                        
    i A libqt4-sql                      - Qt 4 SQL module                           
    i A libqt4-xml                      - Qt 4 XML module                           
    i A libqt4-xmlpatterns              - Qt 4 XML patterns module                  
    i A libqt5concurrent5               - Qt 5 concurrent module                    
    i   libqt5core5a                    - Qt 5 core module                          
    i   libqt5dbus5                     - Qt 5 D-Bus module                         
    i   libqt5gui5                      - Qt 5 GUI module                           
    i   libqt5network5                  - Qt 5 network module                       
    i A libqt5printsupport5             - Qt 5 print support module                 
    i A libqt5script5                   - Qt 5 script module                        
    i   libqt5svg5                      - Qt 5 SVG module                           
    i   libqt5widgets5                  - Qt 5 widgets module                       
    i A libqt5xml5                      - Qt 5 XML module                           
    i A libqtcore4                      - Qt 4 core module                          
    i A libqtdbus4                      - Qt 4 D-Bus module library                 
    i A libqtgui4                       - Qt 4 GUI module                           
    i A qt-at-spi                       - at-spi accessibility plugin for Qt        
    i   qt5-gtk-platformtheme           - Qt 5 GTK+ 3 platform theme                
    i   qt5-style-plugins               - Qt 5 extra widget styles                  
    i   qt5ct                           - Qt5 Configuration Utility                 
    i A qtchooser                       - Wrapper to select between Qt development b
    i A qtcore4-l10n                    - Qt 4 core module translations             
    i   qttranslations5-l10n            - translations for Qt 5  
    Grato desde já;
    Att:
    Juraski
  • editado 10 de April
    na minha máquina tem esses pacotes que não tem na sua, tente instalar alguns pra ver se funciona.
    i A libqt4-designer                 - Qt 4 designer module                      
    i   libqt4-dev                      - Qt 4 development files                    
    i   libqt4-dev-bin                  - Qt 4 development programs                 
    i A libqt4-help                     - Qt 4 help module                          
    i A libqt4-opengl                   - Qt 4 OpenGL module                        
    i A libqt4-qt3support               - Qt 3 compatibility library for Qt 4       
    i A libqt4-scripttools              - Qt 4 script tools module                  
    i A libqt4-svg                      - Qt 4 SVG module                           
    i A libqt4-test                     - Qt 4 test module                          
    i A libqt5designer5                 - Qt 5 designer module                      
    i A libqt5designercomponents5       - Qt 5 Designer components module           
    i   libqt5help5                     - Qt 5 help module                          
    i   libqt5multimedia5               - Qt 5 Multimedia module                    
    i A libqt5multimediaquick-p5        - Qt 5 Multimedia Quick module              
    i A libqt5multimediawidgets5        - Qt 5 Multimedia Widgets module            
    i   libqt5opengl5                   - Qt 5 OpenGL module                        
    i   libqt5opengl5-dev               - Qt 5 OpenGL library development files     
    i A libqt5positioning5              - Qt Positioning module                     
    i   libqt5qml5                      - Qt 5 QML module                           
    i   libqt5quick5                    - Qt 5 Quick library                        
    i A libqt5quickparticles5           - Qt 5 Quick particles module               
    i A libqt5quicktest5                - Qt 5 Quick Test library                   
    i A libqt5quickwidgets5             - Qt 5 Quick Widgets library                
    i A libqt5sensors5                  - Qt Sensors module                         
    i   libqt5serialport5               - Qt 5 serial port support                  
    i A libqt5sql5                      - Qt 5 SQL module                           
    i   libqt5sql5-sqlite               - Qt 5 SQLite 3 database driver             
    i A libqt5test5                     - Qt 5 test module                          
    i A libqt5waylandclient5            - QtWayland client library                  
    i A libqt5webchannel5               - Web communication library for Qt          
    i A libqt5webkit5                   - Web content engine library for Qt         
    i A libqt5x11extras5                - Qt 5 X11 extras                           
    i A libqtassistantclient4           - Qt Assistant client library (runtime)     
    i A libqwt-qt5-6                    - Qt widgets library for technical applicati
    idA libzlui-qt4                     - Qt4 interface module for ZLibrary         
    i   pyqt5-dev-tools                 - Development tools for PyQt5               
    i   python-pyqt5                    - Python 2 bindings for Qt5                 
    i   python-pyqt5.qtopengl           - Python 2 bindings for Qt5 OpenGL module 
    i   python-qt4                      - Python bindings for Qt4                   
    i   python-qt4-phonon               - Python bindings for Phonon                
    i A python3-pyqt5                   - Python 3 bindings for Qt5                 
    i A qt4-linguist-tools              - Qt 4 Linguist tools                       
    i   qt4-qmake                       - Qt 4 qmake Makefile generator tool        
    i A qt5-assistant                   - Qt 5 Assistant                            
    i   qt5-default                     - Qt 5 development defaults package                       
    i   qt5-qmake                       - Qt 5 qmake Makefile generator tool        
    i A qt5-qmake-bin                   - Qt 5 qmake Makefile generator tool — binar
    i A qt5-qmltooling-plugins          - Qt 5 qmltooling plugins                                   
    i   qtbase5-dev                     - Qt 5 base development files               
    i A qtbase5-dev-tools               - Qt 5 base development programs                     
    i   qtdeclarative5-dev              - Qt 5 declarative development files        
    i   qtmultimedia5-dev               - APIs for multimedia functionality - develo
    i   qttools5-dev-tools              - Qt 5 development tools                    
    
    Post edited by welblade on


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • @welblade
    Realizei a instalação dos packages mas não causou modificação alguma. Tenho a impressão que o problema possa ser em relação as dimensões.
    Grato desde já;
    Att:
    Juraski
  • editado 11 de April
    acho que o problema é a sua resolução, seu monitor é aqueles com High DPI?

    tente executar um programa desses pelo terminal mas coloque esse comando antes do nome do programa

    QT_SCALE_FACTOR=1

    exemplo
    
    QT_SCALE_FACTOR=1 virtualbox
    tente mudar o valor para 2 ou para 1.5 como teste também
    Post edited by welblade on


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • @welblade
    Então eu utililizei o comando que você disse, mas a única coisa que mudou foi o tamanho da janela.
    Mas a parte gráfica continuou toda pixelada.

    Sei que é contra as regras do fórum, mas vc teria, discord ou outro meio pra que eu possa compartilhar minha tela, e você ver exatamente qual é o meu problema.

    Caso você tenha discord, e aceite eu compartilhar minha tela, meu discord é:

    Juraski#5299

    Att:
    Juraski

    Grato desde já;
    Att:
    Juraski
  • @welblade

    Como conversamos, realizei a instalação do Qt 5.14 e o setei como default, mas infelizmente não funcionou.

    Então eu resolvi fazer a instalação do outra interface gráfica, no caso a MATE, para verificar se o mesmo ocorreria. No entanto, todos os aplicativos funcionaram como deveriam na parte gráfica, então, creio que o problema não seja com o HiDpi, pois testei a nova interface antes de setar como default o Qt 5.14.

    Ou seja, que o problema poderia estar no Cinnamon e não no sistema em si ou no hardware, talvez algum recurso faltando, ou outra coisa que pudesse causar esse problema????

    Desculpa a demora da resposta!!

    Att:
    Juraski
    Grato desde já;
    Att:
    Juraski
  • editado 12 de April
    se não é isso, então eu realmente fiquei sem ideias :(
    Post edited by welblade on


    Notebook Avell B153 PLUS

    Linux Mint 19.3 Tricia
    Processor: Intel Core i5-4200M
    Memory: 8 GB RAM
    Graphics: NVIDIA GK208M [GeForce GT 730M]
    Kernel: 5.5.0-15.1-liquorix-amd64 x86_64
  • @welblade
    Agradeço de qualquer forma!!

    Att:
    Juraski
    Grato desde já;
    Att:
    Juraski
Entre ou Registre-se para fazer um comentário.